complexType "Offset"

Namespace: | http://www.fpml.org/FpML-5/pretrade
Content: | complex, 1 attribute, 3 elements
Defined: | globally in fpml-shared-5-5.xsd; see XML source
Includes: | definition of 1 element
Used: | at 6 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | periodMultiplier?, period?, dayType?
</...>

Content Model Elements (3):

  dayType, period (defined in Period complexType), | periodMultiplier (defined in Period complexType)

Known Direct Subtypes (3):

  DateOffset, FxFixingDate, RelativeDateOffset

Known Indirect Subtypes (2):

  AdjustedRelativeDateOffset, RelativeDates

All Direct / Indirect Based Elements (17):

  cashSettlementValuationDate,
  dateOffset,
  feePaymentDate (defined in ExerciseFeeSchedule complexType),
  feePaymentDate (in exerciseFee),
  fixingDates,
  fxFixingDate,
  gracePeriod,
  initialFixingDate,
  paymentDaysOffset,
  rateCutOffDaysOffset,
  relativeDate (defined in AdjustableOrRelativeDate complexType),
  relativeDate (in cashSettlementPaymentDate),
  relativeDates,
  relativeEffectiveDate,
  relativeTerminationDate,
  varyingNotionalFixingDates,
  varyingNotionalInterimExchangePaymentDates

Known Usage Locations

- In derivations of other global types (3):

  DateOffset (as extension base), FxFixingDate (as extension base), | RelativeDateOffset (as extension base)

- As direct type of elements (3):
  gracePeriod, paymentDaysOffset, rateCutOffDaysOffset

Annotation
A type defining an offset used in calculating a new date relative to a reference date. E.g. calendar days, business days, Commodity Business days, etc..
Type Definition Detail

Type Derivation Tree Period (extension) Offset

XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="Offset"> <xsd:complexContent> <xsd:extension base="Period"> <xsd:sequence> <xsd:element minOccurs="0" name="dayType" type="DayTypeEnum"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 1/3)
dayType

  Type: | DayTypeEnum, simple content

  In the case of an offset specified as a number of days, this element defines whether consideration is given as to whether a day is a good business day or not. If a day type of business days is specified then non-business days are ignored when calculating the offset. The financial business centers to use for determination of business days are implied by the context in which this element is used. This element must only be included when the offset is specified as a number of days. If the offset is zero days then the dayType element should not be included.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "Business" | - | When calculating the number of days between two dates the count includes only business days. See: http://www.FpML.org
  "Calendar" | - | When calculating the number of days between two dates the count includes all calendar days. See: http://www.FpML.org
  "CommodityBusiness" | - | When calculating the number of days between two dates the count includes only commodity business days. See: http://www.FpML.org
  "CurrencyBusiness" | - | When calculating the number of days between two dates the count includes only currency business days. See: http://www.FpML.org
  "ExchangeBusiness" | - | When calculating the number of days between two dates the count includes only stock exchange business days. See: http://www.FpML.org
  "ScheduledTradingDay" | - | When calculating the number of days between two dates the count includes only scheduled trading days. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="dayType" type="DayTypeEnum"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.